mediatekformation

SyslogUdpHandler extends AbstractSyslogHandler
in package

A Handler for logging to a remote syslogd server.

Tags
author

Jesper Skovgaard Nielsen nulpunkt@gmail.com

author

Dominik Kukacka dominik.kukacka@gmail.com

Table of Contents

RFC3164  = 0
RFC5424  = 1
RFC5424e  = 2
$bubble  : bool
$facilities  : array<string, int>
List of valid log facility names.
$facility  : int
$formatter  : FormatterInterface|null
$ident  : string
$level  : int
$logLevels  : array<string|int, mixed>
Translates Monolog log levels to syslog log priorities.
$processors  : array<string|int, callable>
$rfc  : mixed
$socket  : UdpSocket
$dateFormats  : mixed
__construct()  : mixed
__destruct()  : mixed
__sleep()  : mixed
close()  : void
getBubble()  : bool
Gets the bubbling behavior.
getFormatter()  : FormatterInterface
{@inheritDoc}
getLevel()  : int
Gets minimum logging level at which this handler will be triggered.
handle()  : bool
{@inheritDoc}
handleBatch()  : void
Handles a set of records at once.
isHandling()  : bool
{@inheritDoc}
popProcessor()  : callable
{@inheritDoc}
pushProcessor()  : HandlerInterface
{@inheritDoc}
reset()  : void
setBubble()  : self
Sets the bubbling behavior.
setFormatter()  : HandlerInterface
{@inheritDoc}
setLevel()  : self
Sets minimum logging level at which this handler will be triggered.
setSocket()  : self
Inject your own socket, mainly used for testing
getDefaultFormatter()  : FormatterInterface
Gets the default formatter.
makeCommonSyslogHeader()  : string
Make common syslog header (see rfc5424 or rfc3164)
processRecord()  : array<string|int, mixed>
Processes a record.
resetProcessors()  : void
write()  : void
splitMessageIntoLines()  : array<string|int, string>

Constants

Properties

$facilities

List of valid log facility names.

protected array<string, int> $facilities = ['auth' => LOG_AUTH, 'authpriv' => LOG_AUTHPRIV, 'cron' => LOG_CRON, 'daemon' => LOG_DAEMON, 'kern' => LOG_KERN, 'lpr' => LOG_LPR, 'mail' => LOG_MAIL, 'news' => LOG_NEWS, 'syslog' => LOG_SYSLOG, 'user' => LOG_USER, 'uucp' => LOG_UUCP]

$level

protected int $level = \Monolog\Logger::DEBUG
Tags
phpstan-var

Level

$logLevels

Translates Monolog log levels to syslog log priorities.

protected array<string|int, mixed> $logLevels = [\Monolog\Logger::DEBUG => LOG_DEBUG, \Monolog\Logger::INFO => LOG_INFO, \Monolog\Logger::NOTICE => LOG_NOTICE, \Monolog\Logger::WARNING => LOG_WARNING, \Monolog\Logger::ERROR => LOG_ERR, \Monolog\Logger::CRITICAL => LOG_CRIT, \Monolog\Logger::ALERT => LOG_ALERT, \Monolog\Logger::EMERGENCY => LOG_EMERG]
Tags
phpstan-var

array<Level, int>

$processors

protected array<string|int, callable> $processors = []
Tags
phpstan-var

array<ProcessorInterface|callable(Record): Record>

$dateFormats

private mixed $dateFormats = array(self::RFC3164 => 'M d H:i:s', self::RFC5424 => \DateTime::RFC3339, self::RFC5424e => \DateTime::RFC3339_EXTENDED)

array<self::RFC*, string>

Methods

__construct()

public __construct(string $host[, int $port = 514 ][, string|int $facility = LOG_USER ][, mixed $level = Logger::DEBUG ][, bool $bubble = true ][, string $ident = 'php' ][, int $rfc = self::RFC5424 ]) : mixed
Parameters
$host : string

Either IP/hostname or a path to a unix socket (port must be 0 then)

$port : int = 514

Port number, or 0 if $host is a unix socket

$facility : string|int = LOG_USER

Either one of the names of the keys in $this->facilities, or a LOG_* facility constant

$level : mixed = Logger::DEBUG
$bubble : bool = true

Whether the messages that are handled can bubble up the stack or not

$ident : string = 'php'

Program name or tag for each log message.

$rfc : int = self::RFC5424

RFC to format the message for.

Tags
throws
MissingExtensionException
phpstan-param

self::RFC* $rfc

Return values
mixed —

__destruct()

public __destruct() : mixed
Return values
mixed —

__sleep()

public __sleep() : mixed
Return values
mixed —

getBubble()

Gets the bubbling behavior.

public getBubble() : bool
Return values
bool —

true means that this handler allows bubbling. false means that bubbling is not permitted.

getLevel()

Gets minimum logging level at which this handler will be triggered.

public getLevel() : int
Tags
phpstan-return

Level

Return values
int —

handle()

{@inheritDoc}

public handle(array<string|int, mixed> $record) : bool
Parameters
$record : array<string|int, mixed>
Return values
bool —

handleBatch()

Handles a set of records at once.

public handleBatch(array<string|int, mixed> $records) : void
Parameters
$records : array<string|int, mixed>

The records to handle (an array of record arrays)

Return values
void —

isHandling()

{@inheritDoc}

public isHandling(array<string|int, mixed> $record) : bool
Parameters
$record : array<string|int, mixed>
Return values
bool —

setBubble()

Sets the bubbling behavior.

public setBubble(bool $bubble) : self
Parameters
$bubble : bool

true means that this handler allows bubbling. false means that bubbling is not permitted.

Return values
self —

setLevel()

Sets minimum logging level at which this handler will be triggered.

public setLevel(mixed $level) : self
Parameters
$level : mixed
Return values
self —

makeCommonSyslogHeader()

Make common syslog header (see rfc5424 or rfc3164)

protected makeCommonSyslogHeader(int $severity, DateTimeInterface $datetime) : string
Parameters
$severity : int
$datetime : DateTimeInterface
Return values
string —

processRecord()

Processes a record.

protected processRecord(array<string|int, mixed> $record) : array<string|int, mixed>
Parameters
$record : array<string|int, mixed>
Tags
phpstan-param

Record $record

phpstan-return

Record

Return values
array<string|int, mixed> —

write()

protected write(array<string|int, mixed> $record) : void
Parameters
$record : array<string|int, mixed>
Return values
void —

splitMessageIntoLines()

private splitMessageIntoLines(string|array<string|int, string> $message) : array<string|int, string>
Parameters
$message : string|array<string|int, string>
Return values
array<string|int, string> —

Search results